List Labels
curl --request GET \
--url {protocol}://{domain}/api/v1/labels \
--header 'Authorization: Bearer <token>'import requests
url = "{protocol}://{domain}/api/v1/labels"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('{protocol}://{domain}/api/v1/labels', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"color": "<string>",
"workspaceId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
]Labels
List Labels
Get list of all labels in the authenticated user’s workspace
GET
/
api
/
v1
/
labels
Error
A valid request URL is required to generate request examples[
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"color": "<string>",
"workspaceId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
]Authorizations
Bearer token authentication supports:
- Personal API tokens (PATs)
- OAuth2 access tokens
- JWT tokens
Example: Authorization: Bearer your_token_here
Response
200 - application/json
List of workspace labels
Unique label identifier
Label name (unique within workspace)
Optional label description
Label color (hex format)
Workspace this label belongs to
Label creation timestamp
Label last update timestamp
Was this page helpful?
